import * as $dara from '@darabonba/typescript';
import { DescribeRouterInterfacesResponseBody } from "./DescribeRouterInterfacesResponseBody";
export declare class DescribeRouterInterfacesResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeRouterInterfacesResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
